#!/bin/perl -w

die("usage: globify.pl <destLib> <globfile>") if(@ARGV != 2);

my $destlib  = $ARGV[0];
my $globfile = $ARGV[1];

sub trim
{
  $_ = shift;
  s/^\s+//;
  s/\s+$//;
  return $_;
}

sub get_objects
{
  my $gf = shift @_;
  my $fp;  
  open $fp, $gf or die("Cannot open globfile: $gf");
  while(<$fp>)
  {
     if(/^#lib:(.*)$/) {
       my @objs = split(/\s+/,trim($1));
       my $lib = shift @objs;
       next if(!defined($lib));
       last if($lib !~ /^$destlib$/); 
       foreach $obj (@objs) { print "$obj\n"; }
     } elsif(/^#subdirs:(.*)$/) {
       my @globs = split(/\s+/,trim($1));
       foreach $glob (@globs) { get_objects($glob); }
     }
  }
  close $fp;
}

get_objects($globfile);


