#
# Note:  this file contains recursive make functionality via 
# variables RECURSE
#

# FAILURE macro for all rules for proper handing of -k
ifneq ($(findstring k,$(MAKEFLAGS)),)
  FAILURE:= exit=99
else
  FAILURE:= exit 99
endif

.PHONY: recurse 
recurse: allhere recursed ;

.PHONY: recursed
recursed:
ifeq ($(DIRS),)
	@$(RECURSE)
else
	@exit=0;                                                     \
	for d in $(DIRS); do                                         \
	  if [ -f $$d/makefile ]; then                               \
	    $(MAKE) -w -C $$d $(MAKE_FLAGS) recurse || $(FAILURE) ;  \
	  else                                                       \
	    echo skipping $(HERE)/$$d ;                              \
	  fi;                                                        \
	done;                                                        \
	$(RECURSE) ;                                                 \
	[ $$? -eq 0 ] || $(FAILURE) ;                                \
  exit $$exit
endif
