#ifndef __si_sha_abrgcmn_h__801cadb9_e0d1_4d95_83f5_3ca93680a888
#define __si_sha_abrgcmn_h__801cadb9_e0d1_4d95_83f5_3ca93680a888

/** \file si_sha/abrgcmn.h
 *  \brief Constants and typedefs common to all bridges.
 *  
 */

#include <si_std/ptrh.h>
#include <si_sha/autopkt.h>

/** \brief Enumeration of state a given bridge can be in.
 *
 *  These state constants are useful for starting and stopping bridge
 *  threads. 
 */
typedef enum se_bridgeState {
  se_bridgeStateStopping,
  se_bridgeStateStopped,
  se_bridgeStateStarting,  
  se_bridgeStateStarted
} se_bridgeState;

/** \brief Additional syntactic sugar useful for documenting the
 *         purpose of a given packet.
 */
typedef sc_automationPacket sc_automationRequest;

/** \brief Additional syntactic sugar useful for documenting the
 *          purpose of a given packet.
 */
typedef sc_automationPacket sc_automationResponse;



#endif /* __si_sha_abrgcmn_h__801cadb9_e0d1_4d95_83f5_3ca93680a888 */
