#!/bin/bash

if [ -n $1 ] && [ ! -d $1 ]; then
  echo "argument provided is not a directory";
  exit 99;
fi

# NOTE: invoke script with root privledges

ulb=$1/usr/local/bin
lase=$1/var/lib/lase

# create lase directories
install -m 777 -o 0 -g 0 -d $lase/db
install -m 755 -o 0 -g 0 -d $lase/js
install -m 755 -o 0 -g 0 -d $lase/bin
install -m 755 -o 0 -g 0 -d $ulb
chmod 777 $lase

# copy in newly built files
install -m 755 -o 0 -g 0 ./ext/bin/sqlite3     $lase/bin
install -m 755 -o 0 -g 0 ./ext/bin/js          $lase/bin
install -m 755 -o 0 -g 0 ./src/sha/js/auto.js  $lase/js
install -m 755 -o 0 -g 0 ./src/sha/js/json2.js $lase/js
install -m 755 -o 0 -g 0 ./derived/linux_release_static_static/exe/lucs-lase-tlase $ulb/lased
install -m 755 -o 0 -g 0 ./derived/linux_release_static_static/exe/lucs-lase-brgtool $lase/bin/brgdetect
install -m 755 -o 0 -g 0 ./src/lase/bin/lase-bridge-cfg.pl $ulb

if [ ! -e $lase/db/lase.db ]; then
  # create the database the first time with sqlite3
  ./ext/bin/sqlite3 $lase/db/lase.db < ./src/lase/data/case.sql

  ./ext/bin/sqlite3 $lase/db/lase.db "insert into nets (name) values ('Insteon');"
  ./ext/bin/sqlite3 $lase/db/lase.db "insert into nets (name) values ('ZigBee');"

  # existing device classes
  ./ext/bin/sqlite3 $lase/db/lase.db "insert into classes (name,netId,dtype) values ('IoLinc',1,'01-07-00');"
  ./ext/bin/sqlite3 $lase/db/lase.db "insert into classes (name,netId,dtype) values ('MotionSensor',1,'01-10-01');"
  ./ext/bin/sqlite3 $lase/db/lase.db "insert into classes (name,netId,dtype) values ('LampLinc',1,'01-01-00');"

  # The below lines add the specific bridge devices we have.  There is now
  # the more general mechanism in lase-bridge-cfg.pl
  #
  # ./ext/bin/sqlite3 $lase/db/lase.db "insert into devices (address,type,identifier) values ('01-13-AD-58','01-03-15','insteon0');"
  # ./ext/bin/sqlite3 $lase/db/lase.db "insert into devices (address,type,identifier) values ('02-00-04-25-FF-FF-17-A6-02','02-00-01','zigbee0');"  
  # if [ -n $1 ]; then
  #  $ulb/lase-bridge-cfg.pl --add Insteon --device /dev/ttyUSB0 --altroot $1
  #  $ulb/lase-bridge-cfg.pl --name zigbee0  --device /dev/ttyACM0 --args "channel=11;panId=0xbabe;" --altroot $1
  # else 
  #  $ulb/lase-bridge-cfg.pl --name insteon0 --device /dev/ttyUSB0 
  #  $ulb/lase-bridge-cfg.pl --name zigbee0  --device /dev/ttyACM0 --args "channel=11;panId=0xbabe;"
  # fi
  
fi

# note that 777 below is not an ideal setting, but I'm trying to make it
# easy for anyone in the lab to run the program.
chmod 777 $lase/db
chmod 777 $lase/db/lase.db

