
-- maps classes to device types
-- holds the "nextAvailableIndex" for the class type
CREATE TABLE classes (
   id integer primary key autoincrement,
   name varchar(256) not null,
   netId integer not null,
   scriptId integer default 0,
   dtype varchar(48) not null);

-- maps device instance names to addresses & types
CREATE TABLE devices (
   id integer primary key autoincrement,
   address varchar(64) not null,
   type varchar(48) not null,
   identifier varchar(64) not null,
   created boolean default FALSE);

CREATE TABLE nets (
   id integer primary key autoincrement,
   name varchar(48) not null);

CREATE TABLE scripts (
   id integer primary key autoincrement,
   path varchar(256) not null,
   loaded boolean default FALSE);

CREATE TABLE bridges (
   id integer primary key autoincrement,
   deviceId integer not null,
   devPath varchar(256) not null,
   args varchar(512) default null);

CREATE TABLE archives (
   id integer primary key autoincrement,
   deviceId integer not null,
   archive varchar(8192) not null);

CREATE TABLE links (
   id integer primary key autoincrement,
   srcDid integer not null,
   srcEvent varchar(64) not null,
   dstDid integer not null,
   dstMethod varchar(64) not null);

